Component({
  props: {
    /* 一级列表数据 */
    menus: [],

    /* 二级列表数据 */
    cache: {},

    /* 三级列表数据 */
    lastCache: {},
    activeIndex: 0,
    onTap: () => null,

    /* 点击一级列表 */
    onTapMenu: () => null,

    /* 打开三级菜单 */
    onTapOpenLast: () => null
  },

  didMount() {},

  methods: {
    /* 点击一级菜单 */
    async onMenuTap({
      target
    }) {
      const {
        index
      } = target.dataset;
      await this.props.onTapMenu(index);
    },

    onTapItem(item) {
      return this.props.onTap(item);
    },

    onTapOpen(item) {
      return this.props.onTapOpenLast(item);
    }

  }
});